﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ExpansionIndicatorCellStyle
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            List<Parent> parents = new List<Parent>();
            for (int i = 0; i < 5; i++)
            {
                Parent p = new Parent
                {
                    Name = "Parent " + i,
                    Children = new List<Child>()
                };

                for (int j = 0; j < 5; j++)
                {
                    p.Children.Add(
                        new Child
                        {
                            Id = i + j,
                            Name = "Child " + i + " " + j
                        });
                }

                parents.Add(p);
            }
            DataContext = parents;
        }
    }

    public class Parent
    {
        public string Name { get; set; }
        public List<Child> Children { get; set; }
    }

    public class Child
    {
        public int Id { get; set; }
        public string Name { get; set; }
    }
}
